1. Mailboxes
Cold Mail Reseller
  • Cold Mail Reseller API Documentation
  • Users
    • Retrieve all users
      GET
    • Get User Details
      GET
    • Create User
      POST
    • Update User Details
      PUT
    • Delete User
      DELETE
  • Geo
    • Get Countries List
      GET
    • Get States of a Country
      GET
  • Domains
    • Renewal
      • Domain Renewal Overview
      • Get domain renewal pricing
      • Renew domain
      • Enable or disable domain auto-renew
    • Get Domains For User
      GET
    • Suggest Available Domains
      POST
    • Get Single Available Domain
      POST
    • Check If Google Workspace Exists
      POST
    • Add domain forwarding
      POST
    • Add email forwarding
      POST
    • Add Google Client ID to Domain
      POST
    • Remove domains
      DELETE
  • Dns
    • Get dns records for a domain
      GET
    • Adds dns record
      POST
    • Update dns records
      PUT
    • Delete dns records
      DELETE
  • Orders
    • Get Order Details
    • Get Order Status
    • Creates order json
    • Order mailboxes (json)
    • Process the Order
    • Create Order
    • Add mailboxes to a subscription
  • Mailboxes
    • Get mailboxes for user
      GET
    • Get mailbox details by id
      GET
    • Get Mailbox Admin Details
      GET
    • Update mailbox details
      PATCH
    • Remove mailbox
      DELETE
  • Subscriptions
    • Get All Subscriptions
    • Renew Subscriptions
    • Toggle Auto renewal
    • Cancel Subscription
  • Webhooks
    • Overview
    • Events
      • Domain Events
      • Subscription Events
      • Mailbox Events
      • Prewarmup Events
  • Export
    • Re-export a mailbox (Oauth)
  • Pre-warmup
    • Get all pre warmed up mailboxes
    • Order pre-warmedup mailboxes
  • Get Wallet Details
    GET
  • Send error
    POST
  1. Mailboxes

Get mailbox details by id

GET
/mailboxes/mailbox

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://customers.coldmailreseller.com/api/v1/integration/mailboxes/mailbox?mailboxId=' \
--header 'cmr-x-api-key: <api-key>'

Responses

🟢200Success
application/json
Body

Examples
{
    "status": 200,
    "message": "Mailbox fetched successfully",
    "data": {
        "firstName": "john",
        "lastName": "doe",
        "profilePicture": "https://cdn.zapmail.ai/mailboxes/James-Carter-SelectAll-1756754834597.jpg",
        "username": "john",
        "domain": "bestkola.net",
        "email": "john@bestkola.net",
        "password": "h5MH%tcD@zT9a",
        "isAdmin": false,
        "appPassword": "ffd doqs dfwe",
        "authenticatorSecret": "tukl dfds sloe oldf",
        "id": "39XXMZ1SQMMWWPN2GCRB0Q78KZAR",
        "expireOn": "2025-12-31T23:59:59Z"
    }
}
🟠422Unprocessable Entity
🟠404Mailbox Not Found
Modified at 2026-01-29 20:02:11
Previous
Get mailboxes for user
Next
Get Mailbox Admin Details
Built with